#ifndef ObjFloat_First
#ifdef __GNUG__
//pragma once
#pragma interface
#endif
#define ObjFloat_First

#include "Object.h"

//---- ObjFloat ----------------------------------------------------------------

class ObjFloat: public Object {
    double val;
public:
    MetaDef(ObjFloat);

    ObjFloat(double v= 0.0)
	{ val= v; }

    double GetValue()                     
	{ return val; }
    double SetValue(double newval)           
	{ val= newval; Changed(); return val; }
    double operator= (double newval)
	{ return SetValue(newval); }
    operator double()
	{ return val; }

    //---- comparing
    u_long Hash();
    bool IsEqual(Object*);
    int Compare(Object*);

    //---- converting
    char* AsString();

    //---- activation passivation
    OStream& PrintOn(OStream&);
    IStream& ReadFrom(IStream&);
};

#endif

